<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.dsk.system.mapper.CustomerMapper">

    <resultMap type="com.dsk.system.domain.Customer" id="CustomerMap">
        <result property="customerId" column="customer_id" jdbcType="VARCHAR"/>
        <result property="companyId" column="company_id" jdbcType="INTEGER"/>
        <result property="companyName" column="company_name" jdbcType="VARCHAR"/>
        <result property="legalPerson" column="legal_person" jdbcType="VARCHAR"/>
        <result property="registerCapitalStr" column="register_capital_str" jdbcType="VARCHAR"/>
        <result property="registerCapital" column="register_capital" jdbcType="NUMERIC"/>
        <result property="companyNature" column="company_nature" jdbcType="VARCHAR"/>
        <result property="companyLevel" column="company_level" jdbcType="VARCHAR"/>
        <result property="creditLevel" column="credit_level" jdbcType="VARCHAR"/>
        <result property="superCompany" column="super_company" jdbcType="VARCHAR"/>
        <result property="isOn" column="is_on" jdbcType="INTEGER"/>
        <result property="isMajor" column="is_major" jdbcType="INTEGER"/>
        <result property="companyAttribute" column="company_attribute" jdbcType="VARCHAR"/>
        <result property="mainBusiness" column="main_business" jdbcType="VARCHAR"/>
        <result property="businessScope" column="business_scope" jdbcType="VARCHAR"/>
        <result property="lastFollowTime" column="last_follow_time" jdbcType="TIMESTAMP"/>
        <result property="createId" column="create_id" jdbcType="INTEGER"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="updateId" column="update_id" jdbcType="INTEGER"/>
        <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>


</mapper>

